Page MenuHomePhabricator

Turn off webrequest udp2log instances.
Closed, ResolvedPublic

Description

We are ready! Let's do this

Related Objects

Event Timeline

Ottomata created this task.Apr 27 2015, 2:52 PM
Ottomata claimed this task.
Ottomata raised the priority of this task from to Needs Triage.
Ottomata updated the task description. (Show Details)
Ottomata added a subscriber: Ottomata.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2015, 2:52 PM

Change 206810 had a related patch set uploaded (by Ottomata):
Turn off oxygen's udp2log instance, move 5xx error log to erbium, turn off some erbium filters

https://gerrit.wikimedia.org/r/206810

Change 206810 merged by Ottomata:
Turn off oxygen's udp2log instance, move 5xx error log to erbium, turn off some erbium filters

https://gerrit.wikimedia.org/r/206810

Change 206815 had a related patch set uploaded (by Ottomata):
Remove oxygen udp2log related code

https://gerrit.wikimedia.org/r/206815

Change 206815 merged by Ottomata:
Remove oxygen udp2log related code

https://gerrit.wikimedia.org/r/206815

Today I turned of most udp2log webrequest filters. For now, I have left the Fundraising filters, as well as the 5xx and sampled-1000 filters running. All of these filters are now running on erbium. oxygen's udp2log instance has been shut off. I plan on reinstalling oxygen as Jessie this week, and then will set up an operations kafkatee instance to generate 5xx and sampled logs there. These will be used for operational issue troubleshooting, and will not be synced to stat1002. https://phabricator.wikimedia.org/T96616 will track this.

Change 207858 had a related patch set uploaded (by Ottomata):
Set up kafkatee instance on erbium to output fundraising logs

https://gerrit.wikimedia.org/r/207858

Change 207858 merged by Ottomata:
Set up kafkatee instance on erbium to output fundraising logs

https://gerrit.wikimedia.org/r/207858

Jgreen added a subtask: Restricted Task.Sep 16 2015, 5:19 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 16 2015, 5:19 PM
Jgreen changed the status of subtask Restricted Task from Open to Stalled.Oct 5 2015, 6:11 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 6:03 PM
Ottomata triaged this task as Medium priority.Nov 13 2015, 5:38 PM
Ottomata added a project: Analytics-Kanban.
Ottomata set Security to None.

Let's turn of the udp2log instance on erbium. @Jeff_Green, if you say this ok, we will do it!

Change 252961 had a related patch set uploaded (by Faidon Liambotis):
Remove role::logging::udp2log::erbium and friends

https://gerrit.wikimedia.org/r/252961

Jgreen added a subscriber: Jgreen.Nov 13 2015, 5:41 PM

Let's turn of the udp2log instance on erbium. @Jeff_Green, if you say this ok, we will do it!

Do it!

Jgreen closed subtask Restricted Task as Resolved.Nov 13 2015, 6:34 PM

Change 254860 had a related patch set uploaded (by Ottomata):
Remove more erbium related udp2log stuff

https://gerrit.wikimedia.org/r/254860

Change 254860 merged by Ottomata:
Remove more erbium related udp2log stuff

https://gerrit.wikimedia.org/r/254860

Change 254864 had a related patch set uploaded (by Ottomata):
Remove gadolinium related udp2log and varnishncsa stuff

https://gerrit.wikimedia.org/r/254864

Ottomata moved this task from In Progress to Paused on the Analytics-Kanban board.Dec 10 2015, 5:05 PM

Change 254864 merged by Ottomata:
Remove gadolinium related udp2log and varnishncsa stuff

https://gerrit.wikimedia.org/r/254864

Ottomata moved this task from Paused to In Progress on the Analytics-Kanban board.Dec 14 2015, 5:04 PM

Change 259051 had a related patch set uploaded (by Ottomata):
Clean up some unused udp2log stuff

https://gerrit.wikimedia.org/r/259051

Change 259051 merged by Ottomata:
Clean up some unused udp2log stuff

https://gerrit.wikimedia.org/r/259051

Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.Dec 15 2015, 5:01 PM
Ottomata closed this task as Resolved.Dec 15 2015, 7:20 PM